#ifndef Mark_h
#define Mark_h

#include <Arduino.h>

class MeDCMotor
{
	public:
		void run(int a);
};


class Mark
{
	public:
		Mark();
		void moveMotor(bool motor, bool dir, int rpm);
		void move(bool dir, int rpm);
		void move(bool dir, int speed, float cm);
		void twist(bool dir, int rpm);
		void twist(int dir, int vel, int grados, float distanciaRuedas);
		int getTime();
		void restartTime();
		void doEncoderB();
		void doEncoderA();
		bool isWhite(int pin, bool color);
	private:
		int level;
	public:
		bool inverted;
		unsigned long lastTime;
		bool limite = false;
		volatile int interB = 0;
		volatile int interA = 0;
		int velDiffA[2];
		int velDiffB[2];
		unsigned long lastTimeA = 0;
		int speedA = 100;
		int signalsA = 0;
		unsigned long lastTimeB = 0;
		int speedB = 100;
		int signalsB = 0;
		unsigned long desiredTime;
		int dirA;
  		int dirB;
		int speed = 0;
		double millisecondsPerTic = 0;
		bool usingEncoder = false;
};

#endif